<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:15 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>org.gradle.api.reporting (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../javadoc.css" title="Style">
</head>
<body>
<h1 class="bar"><a href="../../../../org/gradle/api/reporting/package-summary.html" target="classFrame">org.gradle.api.reporting</a></h1>
<div class="indexContainer">
<h2 title="Interfaces">Interfaces</h2>
<ul title="Interfaces">
<li><a href="BuildDashboardReports.html" title="interface in org.gradle.api.reporting" target="classFrame"><i>BuildDashboardReports</i></a></li>
<li><a href="ConfigurableReport.html" title="interface in org.gradle.api.reporting" target="classFrame"><i>ConfigurableReport</i></a></li>
<li><a href="CustomizableHtmlReport.html" title="interface in org.gradle.api.reporting" target="classFrame"><i>CustomizableHtmlReport</i></a></li>
<li><a href="DirectoryReport.html" title="interface in org.gradle.api.reporting" target="classFrame"><i>DirectoryReport</i></a></li>
<li><a href="Report.html" title="interface in org.gradle.api.reporting" target="classFrame"><i>Report</i></a></li>
<li><a href="ReportContainer.html" title="interface in org.gradle.api.reporting" target="classFrame"><i>ReportContainer</i></a></li>
<li><a href="Reporting.html" title="interface in org.gradle.api.reporting" target="classFrame"><i>Reporting</i></a></li>
<li><a href="SingleFileReport.html" title="interface in org.gradle.api.reporting" target="classFrame"><i>SingleFileReport</i></a></li>
</ul>
<h2 title="Classes">Classes</h2>
<ul title="Classes">
<li><a href="GenerateBuildDashboard.html" title="class in org.gradle.api.reporting" target="classFrame">GenerateBuildDashboard</a></li>
<li><a href="ReportingExtension.html" title="class in org.gradle.api.reporting" target="classFrame">ReportingExtension</a></li>
</ul>
<h2 title="Enums">Enums</h2>
<ul title="Enums">
<li><a href="Report.OutputType.html" title="enum in org.gradle.api.reporting" target="classFrame">Report.OutputType</a></li>
</ul>
<h2 title="Exceptions">Exceptions</h2>
<ul title="Exceptions">
<li><a href="ReportContainer.ImmutableViolationException.html" title="class in org.gradle.api.reporting" target="classFrame">ReportContainer.ImmutableViolationException</a></li>
</ul>
</div>
</body>
</html>
